source: tests/preempt_longrun/Makefile.in @ 47c1928

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsdeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprno_listpersistent-indexerpthread-emulationqualifiedEnum
Last change on this file since 47c1928 was 47c1928, checked in by Thierry Delisle <tdelisle@…>, 6 years ago

Host now properly affects compiler

  • Property mode set to 100644
File size: 29.2 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19VPATH = @srcdir@
20am__is_gnu_make = { \
21  if test -z '$(MAKELEVEL)'; then \
22    false; \
23  elif test -n '$(MAKE_HOST)'; then \
24    true; \
25  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26    true; \
27  else \
28    false; \
29  fi; \
30}
31am__make_running_with_option = \
32  case $${target_option-} in \
33      ?) ;; \
34      *) echo "am__make_running_with_option: internal error: invalid" \
35              "target option '$${target_option-}' specified" >&2; \
36         exit 1;; \
37  esac; \
38  has_opt=no; \
39  sane_makeflags=$$MAKEFLAGS; \
40  if $(am__is_gnu_make); then \
41    sane_makeflags=$$MFLAGS; \
42  else \
43    case $$MAKEFLAGS in \
44      *\\[\ \   ]*) \
45        bs=\\; \
46        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
48    esac; \
49  fi; \
50  skip_next=no; \
51  strip_trailopt () \
52  { \
53    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54  }; \
55  for flg in $$sane_makeflags; do \
56    test $$skip_next = yes && { skip_next=no; continue; }; \
57    case $$flg in \
58      *=*|--*) continue;; \
59        -*I) strip_trailopt 'I'; skip_next=yes;; \
60      -*I?*) strip_trailopt 'I';; \
61        -*O) strip_trailopt 'O'; skip_next=yes;; \
62      -*O?*) strip_trailopt 'O';; \
63        -*l) strip_trailopt 'l'; skip_next=yes;; \
64      -*l?*) strip_trailopt 'l';; \
65      -[dEDm]) skip_next=yes;; \
66      -[JT]) skip_next=yes;; \
67    esac; \
68    case $$flg in \
69      *$$target_option*) has_opt=yes; break;; \
70    esac; \
71  done; \
72  test $$has_opt = yes
73am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75pkgdatadir = $(datadir)/@PACKAGE@
76pkgincludedir = $(includedir)/@PACKAGE@
77pkglibdir = $(libdir)/@PACKAGE@
78pkglibexecdir = $(libexecdir)/@PACKAGE@
79am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80install_sh_DATA = $(install_sh) -c -m 644
81install_sh_PROGRAM = $(install_sh) -c
82install_sh_SCRIPT = $(install_sh) -c
83INSTALL_HEADER = $(INSTALL_DATA)
84transform = $(program_transform_name)
85NORMAL_INSTALL = :
86PRE_INSTALL = :
87POST_INSTALL = :
88NORMAL_UNINSTALL = :
89PRE_UNINSTALL = :
90POST_UNINSTALL = :
91build_triplet = @build@
92host_triplet = @host@
93subdir = tests/preempt_longrun
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/automake/cfa.m4 \
96        $(top_srcdir)/configure.ac
97am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98        $(ACLOCAL_M4)
99DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
100mkinstalldirs = $(install_sh) -d
101CONFIG_HEADER = $(top_builddir)/config.h
102CONFIG_CLEAN_FILES =
103CONFIG_CLEAN_VPATH_FILES =
104AM_V_P = $(am__v_P_@AM_V@)
105am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
106am__v_P_0 = false
107am__v_P_1 = :
108AM_V_GEN = $(am__v_GEN_@AM_V@)
109am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
110am__v_GEN_0 = @echo "  GEN     " $@;
111am__v_GEN_1 =
112AM_V_at = $(am__v_at_@AM_V@)
113am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
114am__v_at_0 = @
115am__v_at_1 =
116SOURCES =
117DIST_SOURCES =
118am__can_run_installinfo = \
119  case $$AM_UPDATE_INFO_DIR in \
120    n|no|NO) false;; \
121    *) (install-info --version) >/dev/null 2>&1;; \
122  esac
123am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
124am__tty_colors_dummy = \
125  mgn= red= grn= lgn= blu= brg= std=; \
126  am__color_tests=no
127am__tty_colors = { \
128  $(am__tty_colors_dummy); \
129  if test "X$(AM_COLOR_TESTS)" = Xno; then \
130    am__color_tests=no; \
131  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
132    am__color_tests=yes; \
133  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
134    am__color_tests=yes; \
135  fi; \
136  if test $$am__color_tests = yes; then \
137    red='[0;31m'; \
138    grn='[0;32m'; \
139    lgn='[1;32m'; \
140    blu='[1;34m'; \
141    mgn='[0;35m'; \
142    brg='[1m'; \
143    std='[m'; \
144  fi; \
145}
146am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
147am__vpath_adj = case $$p in \
148    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
149    *) f=$$p;; \
150  esac;
151am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
152am__install_max = 40
153am__nobase_strip_setup = \
154  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
155am__nobase_strip = \
156  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
157am__nobase_list = $(am__nobase_strip_setup); \
158  for p in $$list; do echo "$$p $$p"; done | \
159  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
160  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
161    if (++n[$$2] == $(am__install_max)) \
162      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
163    END { for (dir in files) print dir, files[dir] }'
164am__base_list = \
165  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
166  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
167am__uninstall_files_from_dir = { \
168  test -z "$$files" \
169    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
170    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
171         $(am__cd) "$$dir" && rm -f $$files; }; \
172  }
173am__recheck_rx = ^[     ]*:recheck:[    ]*
174am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
175am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
176# A command that, given a newline-separated list of test names on the
177# standard input, print the name of the tests that are to be re-run
178# upon "make recheck".
179am__list_recheck_tests = $(AWK) '{ \
180  recheck = 1; \
181  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
182    { \
183      if (rc < 0) \
184        { \
185          if ((getline line2 < ($$0 ".log")) < 0) \
186            recheck = 0; \
187          break; \
188        } \
189      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
190        { \
191          recheck = 0; \
192          break; \
193        } \
194      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
195        { \
196          break; \
197        } \
198    }; \
199  if (recheck) \
200    print $$0; \
201  close ($$0 ".trs"); \
202  close ($$0 ".log"); \
203}'
204# A command that, given a newline-separated list of test names on the
205# standard input, create the global log from their .trs and .log files.
206am__create_global_log = $(AWK) ' \
207function fatal(msg) \
208{ \
209  print "fatal: making $@: " msg | "cat >&2"; \
210  exit 1; \
211} \
212function rst_section(header) \
213{ \
214  print header; \
215  len = length(header); \
216  for (i = 1; i <= len; i = i + 1) \
217    printf "="; \
218  printf "\n\n"; \
219} \
220{ \
221  copy_in_global_log = 1; \
222  global_test_result = "RUN"; \
223  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
224    { \
225      if (rc < 0) \
226         fatal("failed to read from " $$0 ".trs"); \
227      if (line ~ /$(am__global_test_result_rx)/) \
228        { \
229          sub("$(am__global_test_result_rx)", "", line); \
230          sub("[        ]*$$", "", line); \
231          global_test_result = line; \
232        } \
233      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
234        copy_in_global_log = 0; \
235    }; \
236  if (copy_in_global_log) \
237    { \
238      rst_section(global_test_result ": " $$0); \
239      while ((rc = (getline line < ($$0 ".log"))) != 0) \
240      { \
241        if (rc < 0) \
242          fatal("failed to read from " $$0 ".log"); \
243        print line; \
244      }; \
245      printf "\n"; \
246    }; \
247  close ($$0 ".trs"); \
248  close ($$0 ".log"); \
249}'
250# Restructured Text title.
251am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
252# Solaris 10 'make', and several other traditional 'make' implementations,
253# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
254# by disabling -e (using the XSI extension "set +e") if it's set.
255am__sh_e_setup = case $$- in *e*) set +e;; esac
256# Default flags passed to test drivers.
257am__common_driver_flags = \
258  --color-tests "$$am__color_tests" \
259  --enable-hard-errors "$$am__enable_hard_errors" \
260  --expect-failure "$$am__expect_failure"
261# To be inserted before the command running the test.  Creates the
262# directory for the log if needed.  Stores in $dir the directory
263# containing $f, in $tst the test, in $log the log.  Executes the
264# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
265# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
266# will run the test scripts (or their associated LOG_COMPILER, if
267# thy have one).
268am__check_pre = \
269$(am__sh_e_setup);                                      \
270$(am__vpath_adj_setup) $(am__vpath_adj)                 \
271$(am__tty_colors);                                      \
272srcdir=$(srcdir); export srcdir;                        \
273case "$@" in                                            \
274  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
275    *) am__odir=.;;                                     \
276esac;                                                   \
277test "x$$am__odir" = x"." || test -d "$$am__odir"       \
278  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
279if test -f "./$$f"; then dir=./;                        \
280elif test -f "$$f"; then dir=;                          \
281else dir="$(srcdir)/"; fi;                              \
282tst=$$dir$$f; log='$@';                                 \
283if test -n '$(DISABLE_HARD_ERRORS)'; then               \
284  am__enable_hard_errors=no;                            \
285else                                                    \
286  am__enable_hard_errors=yes;                           \
287fi;                                                     \
288case " $(XFAIL_TESTS) " in                              \
289  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
290    am__expect_failure=yes;;                            \
291  *)                                                    \
292    am__expect_failure=no;;                             \
293esac;                                                   \
294$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
295# A shell command to get the names of the tests scripts with any registered
296# extension removed (i.e., equivalently, the names of the test logs, with
297# the '.log' extension removed).  The result is saved in the shell variable
298# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
299# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
300# since that might cause problem with VPATH rewrites for suffix-less tests.
301# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
302am__set_TESTS_bases = \
303  bases='$(TEST_LOGS)'; \
304  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
305  bases=`echo $$bases`
306RECHECK_LOGS = $(TEST_LOGS)
307AM_RECURSIVE_TARGETS = check recheck
308TEST_SUITE_LOG = test-suite.log
309TEST_EXTENSIONS = @EXEEXT@ .test
310LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
311LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
312am__set_b = \
313  case '$@' in \
314    */*) \
315      case '$*' in \
316        */*) b='$*';; \
317          *) b=`echo '$@' | sed 's/\.log$$//'`; \
318       esac;; \
319    *) \
320      b='$*';; \
321  esac
322am__test_logs1 = $(TESTS:=.log)
323am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
324TEST_LOGS = $(am__test_logs2:.test.log=.log)
325TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
326TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
327        $(TEST_LOG_FLAGS)
328am__DIST_COMMON = $(srcdir)/Makefile.in \
329        $(top_srcdir)/automake/test-driver
330DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
331ACLOCAL = @ACLOCAL@
332ALLOCA = @ALLOCA@
333AMTAR = @AMTAR@
334AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
335AUTOCONF = @AUTOCONF@
336AUTOHEADER = @AUTOHEADER@
337AUTOMAKE = @AUTOMAKE@
338AWK = @AWK@
339BACKEND_CC = @BACKEND_CC@
340BUILD_IN_TREE_FLAGS = @BUILD_IN_TREE_FLAGS@
341CC = @CFACC@
342CCAS = @CCAS@
343CCASDEPMODE = @CCASDEPMODE@
344CCASFLAGS = @CCASFLAGS@
345CCDEPMODE = @CCDEPMODE@
346CFACC = @CFACC@
347CFACPP = @CFACPP@
348CFA_BACKEND_CC = @CFA_BACKEND_CC@
349CFA_BINDIR = @CFA_BINDIR@
350CFA_FLAGS = @CFA_FLAGS@
351CFA_INCDIR = @CFA_INCDIR@
352CFA_LIBDIR = @CFA_LIBDIR@
353CFA_NAME = @CFA_NAME@
354CFA_PREFIX = @CFA_PREFIX@
355CFLAGS = ${BUILD_FLAGS}
356CPP = @CPP@
357CPPFLAGS = @CPPFLAGS@
358CXX = @CXX@
359CXXDEPMODE = @CXXDEPMODE@
360CXXFLAGS = @CXXFLAGS@
361CYGPATH_W = @CYGPATH_W@
362DEFS = @DEFS@
363DEPDIR = @DEPDIR@
364DRIVER_DIR = @DRIVER_DIR@
365ECHO_C = @ECHO_C@
366ECHO_N = @ECHO_N@
367ECHO_T = @ECHO_T@
368EGREP = @EGREP@
369EXEEXT = @EXEEXT@
370GREP = @GREP@
371HOST_FLAGS = @HOST_FLAGS@
372INSTALL = @INSTALL@
373INSTALL_DATA = @INSTALL_DATA@
374INSTALL_PROGRAM = @INSTALL_PROGRAM@
375INSTALL_SCRIPT = @INSTALL_SCRIPT@
376INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
377LDFLAGS = @LDFLAGS@
378LEX = @LEX@
379LEXLIB = @LEXLIB@
380LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
381LIBCFA_TARGET_DIRS = @LIBCFA_TARGET_DIRS@
382LIBCFA_TARGET_MAKEFILES = @LIBCFA_TARGET_MAKEFILES@
383LIBOBJS = @LIBOBJS@
384LIBS = @LIBS@
385LTLIBOBJS = @LTLIBOBJS@
386MAKEINFO = @MAKEINFO@
387MKDIR_P = @MKDIR_P@
388OBJEXT = @OBJEXT@
389PACKAGE = @PACKAGE@
390PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
391PACKAGE_NAME = @PACKAGE_NAME@
392PACKAGE_STRING = @PACKAGE_STRING@
393PACKAGE_TARNAME = @PACKAGE_TARNAME@
394PACKAGE_URL = @PACKAGE_URL@
395PACKAGE_VERSION = @PACKAGE_VERSION@
396PATH_SEPARATOR = @PATH_SEPARATOR@
397RANLIB = @RANLIB@
398SET_MAKE = @SET_MAKE@
399SHELL = @SHELL@
400STRIP = @STRIP@
401TARGET_HOSTS = @TARGET_HOSTS@
402VERSION = @VERSION@
403YACC = @YACC@
404YFLAGS = @YFLAGS@
405abs_builddir = @abs_builddir@
406abs_srcdir = @abs_srcdir@
407abs_top_builddir = @abs_top_builddir@
408abs_top_srcdir = @abs_top_srcdir@
409ac_ct_CC = @ac_ct_CC@
410ac_ct_CXX = @ac_ct_CXX@
411am__include = @am__include@
412am__leading_dot = @am__leading_dot@
413am__quote = @am__quote@
414am__tar = @am__tar@
415am__untar = @am__untar@
416bindir = @bindir@
417build = @build@
418build_alias = @build_alias@
419build_cpu = @build_cpu@
420build_os = @build_os@
421build_vendor = @build_vendor@
422builddir = @builddir@
423datadir = @datadir@
424datarootdir = @datarootdir@
425docdir = @docdir@
426dvidir = @dvidir@
427exec_prefix = @exec_prefix@
428host = @host@
429host_alias = @host_alias@
430host_cpu = @host_cpu@
431host_os = @host_os@
432host_vendor = @host_vendor@
433htmldir = @htmldir@
434includedir = @includedir@
435infodir = @infodir@
436install_sh = @install_sh@
437libdir = @libdir@
438libexecdir = @libexecdir@
439localedir = @localedir@
440localstatedir = @localstatedir@
441mandir = @mandir@
442mkdir_p = @mkdir_p@
443oldincludedir = @oldincludedir@
444pdfdir = @pdfdir@
445prefix = @prefix@
446program_transform_name = @program_transform_name@
447psdir = @psdir@
448runstatedir = @runstatedir@
449sbindir = @sbindir@
450sharedstatedir = @sharedstatedir@
451srcdir = @srcdir@
452sysconfdir = @sysconfdir@
453target_alias = @target_alias@
454top_build_prefix = @top_build_prefix@
455top_builddir = @top_builddir@
456top_srcdir = @top_srcdir@
457AUTOMAKE_OPTIONS = foreign    # do not require all the GNU file names
458repeats = 10
459max_time = 600
460preempt = 10ul\`ms
461debug = -debug
462type = LONG
463REPEAT = ${abs_top_srcdir}/tools/repeat
464WATCHDOG = ${abs_top_srcdir}/tools/watchdog
465TIME = /usr/bin/time -f "%E"
466
467# $(shell ./update-type $(type))
468# ./update-type $(type)
469UPDATED_TYPE = $(shell ./update-type $(type))
470BUILD_FLAGS = -g -Wall -Wno-unused-function -quiet @CFA_FLAGS@ -O2 -DPREEMPTION_RATE=${preempt} -I.. -I. -DTEST_$(shell cat .type | tr a-z A-Z)
471TESTS = block coroutine create disjoint enter enter3 processor stack wait yield
472all: all-am
473
474.SUFFIXES:
475.SUFFIXES: .log .test .test$(EXEEXT) .trs
476$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
477        @for dep in $?; do \
478          case '$(am__configure_deps)' in \
479            *$$dep*) \
480              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
481                && { if test -f $@; then exit 0; else break; fi; }; \
482              exit 1;; \
483          esac; \
484        done; \
485        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/preempt_longrun/Makefile'; \
486        $(am__cd) $(top_srcdir) && \
487          $(AUTOMAKE) --foreign tests/preempt_longrun/Makefile
488Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
489        @case '$?' in \
490          *config.status*) \
491            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
492          *) \
493            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
494            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
495        esac;
496
497$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
498        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
499
500$(top_srcdir)/configure:  $(am__configure_deps)
501        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
502$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
503        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
504$(am__aclocal_m4_deps):
505tags TAGS:
506
507ctags CTAGS:
508
509cscope cscopelist:
510
511
512# Recover from deleted '.trs' file; this should ensure that
513# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
514# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
515# to avoid problems with "make -n".
516.log.trs:
517        rm -f $< $@
518        $(MAKE) $(AM_MAKEFLAGS) $<
519
520# Leading 'am--fnord' is there to ensure the list of targets does not
521# expand to empty, as could happen e.g. with make check TESTS=''.
522am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
523am--force-recheck:
524        @:
525
526$(TEST_SUITE_LOG): $(TEST_LOGS)
527        @$(am__set_TESTS_bases); \
528        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
529        redo_bases=`for i in $$bases; do \
530                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
531                    done`; \
532        if test -n "$$redo_bases"; then \
533          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
534          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
535          if $(am__make_dryrun); then :; else \
536            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
537          fi; \
538        fi; \
539        if test -n "$$am__remaking_logs"; then \
540          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
541               "recursion detected" >&2; \
542        elif test -n "$$redo_logs"; then \
543          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
544        fi; \
545        if $(am__make_dryrun); then :; else \
546          st=0;  \
547          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
548          for i in $$redo_bases; do \
549            test -f $$i.trs && test -r $$i.trs \
550              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
551            test -f $$i.log && test -r $$i.log \
552              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
553          done; \
554          test $$st -eq 0 || exit 1; \
555        fi
556        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
557        ws='[   ]'; \
558        results=`for b in $$bases; do echo $$b.trs; done`; \
559        test -n "$$results" || results=/dev/null; \
560        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
561        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
562        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
563        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
564        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
565        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
566        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
567        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
568          success=true; \
569        else \
570          success=false; \
571        fi; \
572        br='==================='; br=$$br$$br$$br$$br; \
573        result_count () \
574        { \
575            if test x"$$1" = x"--maybe-color"; then \
576              maybe_colorize=yes; \
577            elif test x"$$1" = x"--no-color"; then \
578              maybe_colorize=no; \
579            else \
580              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
581            fi; \
582            shift; \
583            desc=$$1 count=$$2; \
584            if test $$maybe_colorize = yes && test $$count -gt 0; then \
585              color_start=$$3 color_end=$$std; \
586            else \
587              color_start= color_end=; \
588            fi; \
589            echo "$${color_start}# $$desc $$count$${color_end}"; \
590        }; \
591        create_testsuite_report () \
592        { \
593          result_count $$1 "TOTAL:" $$all   "$$brg"; \
594          result_count $$1 "PASS: " $$pass  "$$grn"; \
595          result_count $$1 "SKIP: " $$skip  "$$blu"; \
596          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
597          result_count $$1 "FAIL: " $$fail  "$$red"; \
598          result_count $$1 "XPASS:" $$xpass "$$red"; \
599          result_count $$1 "ERROR:" $$error "$$mgn"; \
600        }; \
601        {                                                               \
602          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
603            $(am__rst_title);                                           \
604          create_testsuite_report --no-color;                           \
605          echo;                                                         \
606          echo ".. contents:: :depth: 2";                               \
607          echo;                                                         \
608          for b in $$bases; do echo $$b; done                           \
609            | $(am__create_global_log);                                 \
610        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
611        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
612        if $$success; then                                              \
613          col="$$grn";                                                  \
614         else                                                           \
615          col="$$red";                                                  \
616          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
617        fi;                                                             \
618        echo "$${col}$$br$${std}";                                      \
619        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
620        echo "$${col}$$br$${std}";                                      \
621        create_testsuite_report --maybe-color;                          \
622        echo "$$col$$br$$std";                                          \
623        if $$success; then :; else                                      \
624          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
625          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
626            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
627          fi;                                                           \
628          echo "$$col$$br$$std";                                        \
629        fi;                                                             \
630        $$success || exit 1
631
632check-TESTS:
633        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
634        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
635        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
636        @set +e; $(am__set_TESTS_bases); \
637        log_list=`for i in $$bases; do echo $$i.log; done`; \
638        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
639        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
640        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
641        exit $$?;
642recheck: all
643        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
644        @set +e; $(am__set_TESTS_bases); \
645        bases=`for i in $$bases; do echo $$i; done \
646                 | $(am__list_recheck_tests)` || exit 1; \
647        log_list=`for i in $$bases; do echo $$i.log; done`; \
648        log_list=`echo $$log_list`; \
649        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
650                am__force_recheck=am--force-recheck \
651                TEST_LOGS="$$log_list"; \
652        exit $$?
653block.log: block
654        @p='block'; \
655        b='block'; \
656        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
657        --log-file $$b.log --trs-file $$b.trs \
658        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
659        "$$tst" $(AM_TESTS_FD_REDIRECT)
660coroutine.log: coroutine
661        @p='coroutine'; \
662        b='coroutine'; \
663        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
664        --log-file $$b.log --trs-file $$b.trs \
665        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
666        "$$tst" $(AM_TESTS_FD_REDIRECT)
667create.log: create
668        @p='create'; \
669        b='create'; \
670        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
671        --log-file $$b.log --trs-file $$b.trs \
672        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
673        "$$tst" $(AM_TESTS_FD_REDIRECT)
674disjoint.log: disjoint
675        @p='disjoint'; \
676        b='disjoint'; \
677        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
678        --log-file $$b.log --trs-file $$b.trs \
679        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
680        "$$tst" $(AM_TESTS_FD_REDIRECT)
681enter.log: enter
682        @p='enter'; \
683        b='enter'; \
684        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
685        --log-file $$b.log --trs-file $$b.trs \
686        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
687        "$$tst" $(AM_TESTS_FD_REDIRECT)
688enter3.log: enter3
689        @p='enter3'; \
690        b='enter3'; \
691        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
692        --log-file $$b.log --trs-file $$b.trs \
693        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
694        "$$tst" $(AM_TESTS_FD_REDIRECT)
695processor.log: processor
696        @p='processor'; \
697        b='processor'; \
698        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
699        --log-file $$b.log --trs-file $$b.trs \
700        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
701        "$$tst" $(AM_TESTS_FD_REDIRECT)
702stack.log: stack
703        @p='stack'; \
704        b='stack'; \
705        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
706        --log-file $$b.log --trs-file $$b.trs \
707        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
708        "$$tst" $(AM_TESTS_FD_REDIRECT)
709wait.log: wait
710        @p='wait'; \
711        b='wait'; \
712        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
713        --log-file $$b.log --trs-file $$b.trs \
714        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
715        "$$tst" $(AM_TESTS_FD_REDIRECT)
716yield.log: yield
717        @p='yield'; \
718        b='yield'; \
719        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
720        --log-file $$b.log --trs-file $$b.trs \
721        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
722        "$$tst" $(AM_TESTS_FD_REDIRECT)
723.test.log:
724        @p='$<'; \
725        $(am__set_b); \
726        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
727        --log-file $$b.log --trs-file $$b.trs \
728        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
729        "$$tst" $(AM_TESTS_FD_REDIRECT)
730@am__EXEEXT_TRUE@.test$(EXEEXT).log:
731@am__EXEEXT_TRUE@       @p='$<'; \
732@am__EXEEXT_TRUE@       $(am__set_b); \
733@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
734@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
735@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
736@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
737
738distdir: $(DISTFILES)
739        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
740        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
741        list='$(DISTFILES)'; \
742          dist_files=`for file in $$list; do echo $$file; done | \
743          sed -e "s|^$$srcdirstrip/||;t" \
744              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
745        case $$dist_files in \
746          */*) $(MKDIR_P) `echo "$$dist_files" | \
747                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
748                           sort -u` ;; \
749        esac; \
750        for file in $$dist_files; do \
751          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
752          if test -d $$d/$$file; then \
753            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
754            if test -d "$(distdir)/$$file"; then \
755              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
756            fi; \
757            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
758              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
759              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
760            fi; \
761            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
762          else \
763            test -f "$(distdir)/$$file" \
764            || cp -p $$d/$$file "$(distdir)/$$file" \
765            || exit 1; \
766          fi; \
767        done
768check-am: all-am
769        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
770check: check-am
771all-am: Makefile all-local
772installdirs:
773install: install-am
774install-exec: install-exec-am
775install-data: install-data-am
776uninstall: uninstall-am
777
778install-am: all-am
779        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
780
781installcheck: installcheck-am
782install-strip:
783        if test -z '$(STRIP)'; then \
784          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
785            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
786              install; \
787        else \
788          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
789            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
790            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
791        fi
792mostlyclean-generic:
793        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
794        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
795        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
796
797clean-generic:
798
799distclean-generic:
800        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
801        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
802
803maintainer-clean-generic:
804        @echo "This command is intended for maintainers to use"
805        @echo "it deletes files that may require special tools to rebuild."
806clean: clean-am
807
808clean-am: clean-generic clean-local mostlyclean-am
809
810distclean: distclean-am
811        -rm -f Makefile
812distclean-am: clean-am distclean-generic
813
814dvi: dvi-am
815
816dvi-am:
817
818html: html-am
819
820html-am:
821
822info: info-am
823
824info-am:
825
826install-data-am:
827
828install-dvi: install-dvi-am
829
830install-dvi-am:
831
832install-exec-am:
833
834install-html: install-html-am
835
836install-html-am:
837
838install-info: install-info-am
839
840install-info-am:
841
842install-man:
843
844install-pdf: install-pdf-am
845
846install-pdf-am:
847
848install-ps: install-ps-am
849
850install-ps-am:
851
852installcheck-am:
853
854maintainer-clean: maintainer-clean-am
855        -rm -f Makefile
856maintainer-clean-am: distclean-am maintainer-clean-generic
857
858mostlyclean: mostlyclean-am
859
860mostlyclean-am: mostlyclean-generic
861
862pdf: pdf-am
863
864pdf-am:
865
866ps: ps-am
867
868ps-am:
869
870uninstall-am:
871
872.MAKE: check-am install-am install-strip
873
874.PHONY: all all-am all-local check check-TESTS check-am clean \
875        clean-generic clean-local cscopelist-am ctags-am distclean \
876        distclean-generic distdir dvi dvi-am html html-am info info-am \
877        install install-am install-data install-data-am install-dvi \
878        install-dvi-am install-exec install-exec-am install-html \
879        install-html-am install-info install-info-am install-man \
880        install-pdf install-pdf-am install-ps install-ps-am \
881        install-strip installcheck installcheck-am installdirs \
882        maintainer-clean maintainer-clean-generic mostlyclean \
883        mostlyclean-generic pdf pdf-am ps ps-am recheck tags-am \
884        uninstall uninstall-am
885
886.PRECIOUS: Makefile
887
888
889# .INTERMEDIATE: ${TESTS}
890
891all-local: ${TESTS:=.run}
892
893runall : ${TESTS:=.run}
894        @ echo "All programs terminated normally"
895
896watchall : ${TESTS:=.watch}
897        @ echo "All programs terminated normally"
898
899compileall : ${TESTS}
900        @ echo "Compiled"
901
902clean-local:
903        rm -f ${TESTS} core* out.log .type
904
905% : %.c ${CC} ${UPDATED_TYPE}
906        ${AM_V_GEN}${CC} ${CFLAGS} ${<} $(debug) -o ${@}
907
908%.run : % ${REPEAT}
909        @ time ${REPEAT} -r out.log -i -s $(repeats) timeout ${max_time} ./${<}
910        @ rm ${<}
911        @ echo -e "${<}: SUCCESS\n"
912
913%.watch : % ${WATCHDOG}
914        @ time ${WATCHDOG} ./${<}
915        @ rm ${<}
916        @ echo -e "${<}: SUCCESS\n"
917
918%.time : % ${REPEAT}
919        @ ${REPEAT} -i -s -- $(repeats) $(TIME) -a -o times.log ./${<}
920        @ rm ${<}
921        @ echo -e "${<}: SUCCESS\n"
922
923${REPEAT}: ${abs_top_srcdir}/tools/Makefile
924        @+make -C ${abs_top_srcdir}/tools/
925
926${WATCHDOG}: ${abs_top_srcdir}/tools/Makefile
927        @+make -C ${abs_top_srcdir}/tools/
928
929# Tell versions [3.59,3.63) of GNU make to not export all variables.
930# Otherwise a system limit (for SysV at least) may be exceeded.
931.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.